{ modulesPath, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
    (modulesPath + "/profiles/headless.nix")
  ];

  networking = {
    hostName = "kitty";
    hostId = "8745e22e";
    vlans.internal = {
      id=100;
      interface="eno1";
    };
    interfaces.internal.ipv4.addresses = [{
      address = "11.0.0.1";
      prefixLength = 8;
    }];
  };

  system = {
    server.enable = true;
    stateVersion = "24.11";
  };

  services.nfs.server.enable = true;
}
